
Foreman - Bug #1792

json output of groups gone with v1.

07/30/2012 05:35 AM - Steve Traylen

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: API   

Target version: 1.0.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

One particular view seems to have vanished with update from

0.5 to 1.

The following URLs work and return JSON.

https://version0.4.cern.ch/usergroups?format=json

https://version0.4.cern.ch/usergroups

https://version1.cern.ch/usergroups

while

https://version1.cern.ch/usergroups?format=json

fails with 'We're sorry, but something went wrong.'

Logs contains:

Started POST "/reports/create?format=yml" for 128.142.33.213 at Mon Jul 30 11:34:09 +0200 2012

  Processing by ReportsController#create as YML

  Parameters: {"report"=>"[FILTERED]"}

processing report for foreman01.cern.ch

Associated revisions

Revision 63c40be4 - 07/30/2012 09:27 AM - Ohad Levy

fixes #1792 - error on json output of usergroups

Revision 39af9530 - 07/30/2012 02:29 PM - Ohad Levy

fixes #1792 - error on json output of usergroups

History

#1 - 07/30/2012 09:25 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 1.1

#2 - 07/30/2012 02:17 PM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 63c40be419dba43302989e2931e5f4b76f07004a.
#3 - 08/09/2012 09:54 AM - Ohad Levy

- Target version changed from 1.1 to 1.0.1
